
// DiagnosticDlg.cpp : implementation file
//----------------------------------------
#include "stdafx.h"
#include "Combi.h"
#include "DiagnosticDlg.h"
#include "MDBDefines.h"
#include "MDBEngine.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

// CDiagnosticDlg dialog
//----------------------

CDiagnosticDlg::CDiagnosticDlg(CWnd* pParent) : CDialog(CDiagnosticDlg::IDD, pParent)
//===================================================================================
{
	//{{AFX_DATA_INIT(CDiagnosticDlg)
	m_AcceptorError = 0;
	m_CassetteError = 0;
	m_ChangerError = 0;
	m_DiscriminatorError = 0;
	m_DispenserError = 0;
	m_Inhibited = FALSE;
	m_KeypadShifted = FALSE;
	m_ManualFill = FALSE;
	m_NewInventory = FALSE;
	m_PoweringDown = FALSE;
	m_PoweringUp = FALSE;
	m_Ready = FALSE;
	m_SeparatorError = 0;
	//}}AFX_DATA_INIT
}

void CDiagnosticDlg::DoDataExchange(CDataExchange* pDX)
//=====================================================
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CDiagnosticDlg)
	DDX_Text(pDX, IDC_ACCEPTOR_ERROR, m_AcceptorError);
	DDX_Text(pDX, IDC_CASETTE_ERROR, m_CassetteError);
	DDX_Text(pDX, IDC_CHANGER_ERROR, m_ChangerError);
	DDX_Text(pDX, IDC_DISCRIMINATOR_ERROR, m_DiscriminatorError);
	DDX_Text(pDX, IDC_DISPENSOR_ERROR, m_DispenserError);
	DDX_Check(pDX, IDC_INHIBITED, m_Inhibited);
	DDX_Check(pDX, IDC_KEYPAD_SHIFTED, m_KeypadShifted);
	DDX_Check(pDX, IDC_MANUAL_FILL, m_ManualFill);
	DDX_Check(pDX, IDC_NEW_INVENTORY, m_NewInventory);
	DDX_Check(pDX, IDC_POWERING_DOWN, m_PoweringDown);
	DDX_Check(pDX, IDC_POWERING_UP, m_PoweringUp);
	DDX_Check(pDX, IDC_READY, m_Ready);
	DDX_Text(pDX, IDC_SEPARATOR_ERROR, m_SeparatorError);
	//}}AFX_DATA_MAP
}

BEGIN_MESSAGE_MAP(CDiagnosticDlg, CDialog)
	//{{AFX_MSG_MAP(CDiagnosticDlg)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

// CDiagnosticDlg message handlers
//--------------------------------

BOOL CDiagnosticDlg::OnInitDialog() 
//=================================
{
	ACCEPTOR_DIAGNOSTIC_STATUS DiagnosticStatus;
	CDialog::OnInitDialog();
	if (!AcceptorDiagnosticStatus(&DiagnosticStatus))
	{
		return false;
	}
	m_PoweringUp=DiagnosticStatus.PoweringUp;
	m_PoweringDown=DiagnosticStatus.PoweringDown;
	m_Ready=DiagnosticStatus.Ready;
	m_KeypadShifted=DiagnosticStatus.KeypadShifted;
	m_ManualFill=DiagnosticStatus.ManualFillPayout;
	m_NewInventory=DiagnosticStatus.InventoryAvailable;
	m_Inhibited=DiagnosticStatus.Inhibited;
	m_ChangerError=DiagnosticStatus.ChangerError;
	m_DiscriminatorError=DiagnosticStatus.DiscriminatorError;
	m_AcceptorError=DiagnosticStatus.AcceptorError;
	m_SeparatorError=DiagnosticStatus.SeparatorError;
	m_DispenserError=DiagnosticStatus.DispenserError;
	m_CassetteError=DiagnosticStatus.CasetteError;
	UpdateData(false);
	return true;
}
